Module java.base
Package java.nio

# Class BufferUnderflowException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.nio.BufferUnderflowException

All Implemented Interfaces:
  `Serializable`

    public class BufferUnderflowException
    extends RuntimeException

Unchecked exception thrown when a relative get operation reaches the source buffer's limit.

Since:
  1.4
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`BufferUnderflowException()` | Constructs an instance of this class.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BufferUnderflowException

public BufferUnderflowException()
Constructs an instance of this class.